Skip to content

Update a template in project
GA

Request

Updates an existing template with the request data.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

plusFriendIdstringrequired

The unique ID of the sender.

templateCodestringrequired
Bodyapplication/jsonrequired

Updating data

statusstring(KakaotalkActions)

Create as draft or submit. Defaults to draft.

Default:"DRAFT"
Enum:"DRAFT""SUBMIT"
detailsobject(KakaotalkInputUpdateTemplateDetailsDto)

Template details and information.

Minimum body to update a template.

curl -i -X PATCH \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

Updated template

Bodyapplication/json
codestringrequired

Registered delivery template code

idstring

The unique ID of the template.

statestring(KakaotalkTemplateStates)

The current state of the template.

Enum:"APPROVED""REJECTED"
changesobject(KakaotalkTemplateChangesDto)

Any pending changes to the template.

detailsobject(KakaotalkTemplateDetailsDto)

Template details and information.

createdstring

The UTC Date Time in ISO 8601 for when the template was created.

modifiedstring

The UTC Date Time in ISO 8601 for when the template was last modified.

Response

Response when successfully updating a template.

{ "id": "1a76b24e-bead-4c72-b468-6c3bdfff0ee6", "code": "S7yFqaKqJ8tsnBZH2CEd", "changes": { "status": "IN_PROGRESS", "details": { … } }, "created": "2023-02-24T10:19:31.372Z", "modified": "2023-02-24T10:19:31.372Z" }
We'd love to hear from you!
Rate this content: